Bug 4919 - Booting after HD problems
Booting after HD problems
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
6.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-09-04 20:00 EDT by volchok
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-20 17:29:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description volchok 1999-09-04 20:00:19 EDT
My computer hang.  So I had to restart it.  As a result one
of partitions was damaged.  When I got to check of that
partition the program said that i have to run fsck manualy.
The prompt said to enter root password or press Control-D to
start normaly.  However, the prompt whould not accept my
root password.  I use shadow plus MD5 passwords. Root's
password is longer thna 8 characters. Pressing Control-D
whould just restart computer.
Comment 1 Bill Nottingham 1999-09-20 17:29:59 EDT
Weird; we haven't experienced this problem here
(unless it was on a Sparc). If all else fails, you can
boot with 'linux init=/bin/bash' to get a prompt.

------- Additional Comments From   10/19/99 11:10 -------
I think i fugured out this one.  I looked into init scripts and found
out that if there is a problem with disk script runs sulogin.  After
checking out the source for sulogin. I found out that it will accept
only up to 15 characters of password.  Mine is 18 characters.  The
RH6.0 manual states that MD5 passwords can be up to 256 characters.

Note You need to log in before you can comment on or make changes to this bug.